aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Rendina <rendinam@users.noreply.github.com>2020-06-29 15:36:23 -0400
committerGitHub <noreply@github.com>2020-06-29 15:36:23 -0400
commit7fcb05b04aba642f679a3283208ef416125f0c06 (patch)
tree6055989bf2da82ff5fec9920d45fcc5367484526
parentd7979b093e48e92e4660388a58ca58a4f3ef9345 (diff)
downloadastroconda-releases-7fcb05b04aba642f679a3283208ef416125f0c06.tar.gz
Abort if required CAL delivery tools are not available. (#128)
-rwxr-xr-xjwstdp/utils/archive_cal_code.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/jwstdp/utils/archive_cal_code.sh b/jwstdp/utils/archive_cal_code.sh
index 393b99a..d41372b 100755
--- a/jwstdp/utils/archive_cal_code.sh
+++ b/jwstdp/utils/archive_cal_code.sh
@@ -42,11 +42,13 @@ which sloccount
if [[ $? -ne 0 ]];
then
echo "'sloccount' not found. Install before attempting again."
+ exit 1
fi
which csplit
if [[ $? -ne 0 ]];
then
echo "'csplit' not found. Install before attempting again."
+ exit 1
fi
set -e